## Distribution Revolutions

Tired of building warehouses and trade routes for every 8 (9 if you count berries) types of food? That's why I created this.

Add a factory that creates packaged food with multiple food items. Eating packaged foods can satisfy multiple nutritional needs at the same time.

This should make it easier to manage warehouses and establish trade routes in multiple districts.

Currently, there are four different recipes for packaged foods.
- All foods except berries
- Basic set (carrots, grilled potatoes, bread)
- Grilled set (grilled potatoes, grilled chestnuts, grilled spadderdock)
- Bakery set (bread, cattail crackers, maple pastries)

![PackingPlant](https://github.com/minorunara/TimberbornMods/blob/main/PackingPlant/attachments/PackingPlant.png?raw=true)

## Disclaimer!

This mod is currently only supported in Timberborn version 0.2.3.1. Other versions will probably not work (and may crash the game).

## Install

If you install manually, put the downloaded folder in the folder where Timberborn.exe is located \BepInEx\plugins\

Remember that you will also need to install any mods that are dependencies.

## How to use

You should find the Packing Plant under the food tab.

## License

This mod was made from Elec's ExtendedArchitecture, so the license follows the original mod.

https://github.com/Timberborn-Modding-Central/ExtendedArchitecture/tree/main/Assets/ExtendedArchitecture

## Known Issues

The packing plant inventory display is wrong when the recipe "Packaged Food (All)" is selected. No real harm done.

## Changelog

### 1.0.4(hot fix) Target game version is (v0.2.5.0) - 2022/08/25

Timberborn version v0.2.5.0 is now supported.

With the removal of the "cooking speed" buff from the base game, packing plants are no longer affected.

### 1.0.3 - 2022/08/20

The following adjustments were made in "Packaged Food (All)"

Recipes have been changed to consume less sunflower seeds.

### 1.0.2 - 2022/08/08

Fixed a bug that prevented beavers from eating packaged food even if they were hungry if their packaged food needs were full.

Removed package food needs as they are no longer needed.

### 1.0.1 - 2022/08/07

Fixed a bug that prevented beavers from eating any other food if there was low class packaged food in that districts.

### 1.0.0 Target game version is (0.2.3.1) - 2022/08/06

Released
